/* Copyright (C) 2012 Frankfurt Institute for Advanced Studies, Goethe-Universität Frankfurt, Frankfurt
   SPDX-License-Identifier: GPL-3.0-only
   Authors: Igor Kulakov [committer] */

#ifndef CBML1CONSTANTS_H_
#define CBML1CONSTANTS_H_

namespace CbmL1Constants
{
  /// Performance constants
  const double MinRecoMom = 0.1;  // Extra set of tracks = (MinRecoMom, MinRefMom)
  const double MinFastMom = 1.;   // Primary set of tracks = (MinRefMom, +inf)  //All reco tracks = (MinRecoMom, +inf)
  const double MinPurity  = 0.7;  // min NStationInRecoTrack/NStationInMCTrack
  const int MinNStations  = 4;    // min number of stations on track to be reconstructable
}  // namespace CbmL1Constants

#endif
